#include <iostream>

using namespace std;

int main()
{
    long long broj;
    cin >> broj;
    int zb = 0, a;
    while(broj > 0){
        a = broj % 10;
        broj /= 10;
        if(a == 1 || a == 2 || a == 5)
            zb += 1;
        else if(a == 3 || a == 4 || a == 6 || a == 7)
            zb += 2;
        else if(a == 8 || a == 9)
            zb += 3;
    }
    cout << zb << endl;
    return 0;
}